Method: projects.locations.discoveredRanges.list

Lists DiscoveredRanges in a given project and location.

HTTP request

GET https://cloudnumberregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/discoveredRanges

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource name, for example projects/*/locations/*.

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. Filter expression to filter the results.

orderBy

string

Optional. Hint for how to order the results.

Request body

The request body must be empty.

Response body

Response message for the CloudNumberRegistry.ListDiscoveredRanges method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "discoveredRanges": [
    {
      object (DiscoveredRange)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
discoveredRanges[]

object (DiscoveredRange)

The list of DiscoveredRanges.

nextPageToken

string

A token to retrieve the next page of results, or empty if there are no more results in the list.

unreachable[]

string

Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • cloudnumberregistry.discoveredRanges.list

For more information, see the IAM documentation.